/****************************************************************************
 *
 * Copyright (c) 2010-2012, EBM WebSourcing
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 
 *
 *****************************************************************************/

package org.ow2.petals.cli.connection;

public class AuthenticatedConnectionParameters extends ConnectionParameters {
    
    private String username;
    
    private String password;
        
    public AuthenticatedConnectionParameters(String host, int port, String username, String password) {
        super(host, port);
        
        assert username != null;
        assert password != null;
        
        this.username = username;
        this.password = password;
    }

    public String getUsername() {
        return this.username;
    }

    public String getPassword() {
        return this.password;
    }
    
    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (!(obj instanceof AuthenticatedConnectionParameters))
            return false;
        AuthenticatedConnectionParameters connectionParameters = (AuthenticatedConnectionParameters) obj;
        return super.equals(connectionParameters)
                && this.username.equals(connectionParameters.username) && this.password.equals(connectionParameters.password);
    }
}
