/****************************************************************************
 *
 * Copyright (c) 2010-2012, EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *****************************************************************************/

package org.ow2.petals.cli.shell.command;

import org.ow2.petals.admin.api.AdminFactory;
import org.ow2.petals.admin.api.ContainerAdministration;
import org.ow2.petals.cli.api.command.exception.CommandException;
import org.ow2.petals.cli.api.command.exception.CommandTooManyArgumentsException;
import org.ow2.petals.cli.api.shell.Shell;

/**
 * @author Nicolas Oddoux - EBM WebSourcing
 */
public class Disconnect extends AbstractCommand {

    public Disconnect() {
        super();
        this.setUsage("");
        this.setDescription("Disconnect from a petals container");
    }

    @Override
    public void execute(final String[] args) throws CommandException {
        if (!this.checkArguments(args, 0, 0)) {
            throw new CommandTooManyArgumentsException(this, args);
        }

        try {
            final ContainerAdministration containerAdministration = AdminFactory.newInstance()
                    .createContainerAdministration();
            containerAdministration.disconnect();

            this.getShell().setPrompt(Shell.DEFAULT_PROMPT);
        } catch (final Exception e) {
            throw new CommandException(this, e);
        }
    }

}
